package mongo_model

type AdviceRole string

const (
	RoleAdvicer AdviceRole = "advicer"
	RoleProject AdviceRole = "project"
	RoleSkill   AdviceRole = "skill"
	RoleClient  AdviceRole = "client"
)

var RoleDesc = map[AdviceRole]string{
	RoleAdvicer: "顾问",
	RoleProject: "项目",
	RoleSkill:   "沟通技巧",
	RoleClient:  "客户",
}

type AdviceData interface {
	Example() string
	Copy() AdviceData
	Role() AdviceRole
	Desc() string
}
